#### PyKDE - Python Bindings for KDE

# class TDETrader |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | TDETrader
Inherits | TQObject

### methods

- TDETrader ()

  returns a TDETrader instance

- query (servicetype, constraint = TQString .null, preferences = TQString .null)

  returns (TDETrader.OfferList)
  Argument | Type | Default
  --- | --- | ---
  servicetype | TQString |
  constraint | TQString | TQString .null
  preferences | TQString | TQString .null

- query (servicetype, genericServiceType, constraint, preferences)

  returns (TDETrader.OfferList)
  Argument | Type | Default
  --- | --- | ---
  servicetype | TQString |
  genericServiceType | TQString |
  constraint | TQString |
  preferences | TQString |

- self ()

  returns (TDETrader)
  static